Kerbal Space Program - Bug #2442

Navball Driection Switch
05/06/2014 02:28 PM - peachoftree

Status: Closed Start date: 05/06/2014
Severity: Normal % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.23 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

If the direction of the center of thrust changes in flight, the navball markers dont change with that. after a thrust change the retrograde
marker marks where prograde is and vice verca. this makes it very hard to use manuvers as there is no anti-manuver node.

History

#1 - 05/06/2014 02:32 PM - peachoftree

- Status changed from New to Need More Info

Reproduction:

make a rocket where the thrust direction switches from up to down (relative to launch)
burn at the prograde marker
your speed should decrease

#2 - 05/06/2014 02:35 PM - peachoftree

last thing (sorry) my only mods are kerbsl engineer and quantum struts, but these shouldnt affect anything

#3 - 05/06/2014 03:56 PM - TruePikachu

Navball markers are oriented to the choosen direction to control.
This is not a bug, but a feature request IMO.

#4 - 05/06/2014 05:01 PM - Kasuha
Navball markers (prograde/retrograde) always correspond to the ship's movement in space, relative to the selected reference frame, i.e. the planet's
inertial frame, planet's rotational frame, or to target. That direction does not depend on center of thrust and there's no need to change it.

The center of navball, denoted by the --v-- icon, is pointing in the control direction of the selected control point. It may be a command pod, command
seat, probe core, or docking port. Navball does not follow center/direction of thrust, never has and never was intended to. For many maneuvers,
particularly docking, or when using engine groups as RCS replacement, such function would be annoying and uncomfortable. It might make sense to
be able to have "control from here" option for engines but it is a new function, and it does not have much parallel in real world - direction of all kinds of
navigation instruments in real spaceships also does not change with whatever engine is ready for use at the moment.

#5 - 07/17/2016 09:26 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#6 - 08/09/2016 10:39 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

Files

05/10/2024 12



http://bugs.kerbalspaceprogram.com/projects/ksp/wiki
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/

screenshot24.png 939 KB 05/06/2014 peachoftree

05/10/2024 22


http://www.tcpdf.org

